package consts

// DeductionStatus 预扣款
type DeductionStatus string

const (
	DeductionStatusStart   DeductionStatus = "start"   // 开始预扣款
	DeductionStatusSuccess DeductionStatus = "success" // 成功
	DeductionStatusReturn  DeductionStatus = "return"  // 退款
	DeductionStatusFail    DeductionStatus = "fail"    // 失败
)

func (receiver DeductionStatus) String() string {
	return string(receiver)
}
